EDIT - bug #8508

[PESI[ERMS] ERMS import pipeline validation
09/01/2019 05:52 PM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmadapter Estimated time: 0:00 hour
Target version: PESI 2019

Severity: normal Found in Version:

Description

Add validation for the correctnes of the ERMS->CDM->PESI pipeline

Related issues:
Related to EDIT - task #8509: [PESI|[ERMS] Export ERMS data to PESI
Related to EDIT - task #8644: [PESI][FE] Verify FauEu PESI export

In Progress
New

Associated revisions

Revision 071a4ba6 - 09/01/2019 05:52 PM - Andreas Miiller
ref #8508 add uniqueResult methods to Source

Revision cb547089 - 09/01/2019 06:23 PM - Andreas Miiller
ref #8508 add first ERMS pipeline tests

Revision 96dc2943 - 09/01/2019 06:59 PM - Andreas Miiller
ref #8508 add first ERMS pipeline tests

Revision 68fa46a4 - 09/01/2019 11:08 PM - Andreas Miiller
ref #8508 add single reference diff to ERMS pipeline validation

Revision 9ee93cb4 - 09/02/2019 01:15 AM - Andreas Miiller

ref #8508 add some more columns to Reference validation

Revision 2741552d - 09/02/2019 04:57 PM - Andreas Miiller
ref #8508 further improvements to ERMS pipeline validator

Revision f6¢86214 - 09/05/2019 09:51 PM - Andreas Miiller
ref #8508 improve import-export pipeline for ERMS

Revision 3a180cbe - 09/05/2019 09:52 PM - Andreas Miiller
ref #8508 improve ERMS validation

Revision 9ec5ede2 - 09/11/2019 01:38 PM - Andreas Miiller
ref #8508 latest changes to ERMS pipeline validator

Revision a0f9168d - 09/17/2019 02:04 PM - Andreas Miiller
ref #8508 latest changes to ERMS pipeline validation

Revision d7f95f72 - 09/17/2019 02:18 PM - Andreas Muller
ref #1444, ref #8508, ref #8509 improve rank handling in ERMS pipeline

Revision 8226169 - 09/17/2019 02:23 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 improve rank handling in ERMS pipeline (1I)
Revision fa27ce80 - 09/17/2019 02:30 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 improve ERMS distribution pipeline

Revision 7487{98f - 09/17/2019 02:32 PM - Andreas Miiller

ref #1444, ref #8508, ref #8509 improve ERMS vernacular name transformations

Revision 047b2976 - 09/17/2019 02:35 PM - Andreas Miiller

ref #1444, ref #8508, ref #8509 some improvements on ERMS notes and source uses pipeline

Revision 405dc768 - 09/17/2019 02:36 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 some improvements on ERMS taxon source pipeline

Revision 23a201e7 - 09/18/2019 10:44 AM - Andreas Miiller

ref #1444, ref #8508, ref #8508 Finish ERMS image import and some export improvement (not yet ready)

Revision ¢32dfb15 - 09/18/2019 10:48 AM - Andreas Miiller
ref #1444, ref #8508, ref #8509 improve ERMS notes pipeline

Revision d3530340 - 09/26/2019 11:25 AM - Andreas Miiller
ref #8508, ref #8509, ref #1444 add additional taxon source handling for ERMS/PESI

Revision 164fc327 - 09/26/2019 11:37 AM - Andreas Miiller
ref #8508 latest changes to PesiErmsValidator

Revision f08f9f6d - 09/26/2019 11:38 AM - Andreas Miiller
ref #8508, ref #8509, ref #1444 fix source use for ERMS

Revision 2cb6ad67 - 09/26/2019 11:39 AM - Andreas Miiller
ref #8508, ref #8509, ref #1444 latest changes to ERMS import and export activators

Revision 365949cd - 09/26/2019 03:04 PM - Andreas Miiller
ref #8508, ref #8509, ref #1444 implement ERMS ref types

Revision 7e6fc953 - 09/28/2019 06:46 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 handle SpeciesExpertName in ERMS

Revision 2ae4e7ca - 09/28/2019 07:00 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 handle taxon.cacheCitation in ERMS

Revision 6ae21a57 - 09/28/2019 07:05 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 fix link handling and add ecology export to ERMS pipeline

Revision 440b7828 - 09/28/2019 07:08 PM - Andreas Miiller
ref #8508 latest changes to ERMS validator and activators

Revision 2c11da48 - 09/29/2019 12:33 AM - Andreas Miiller

ref #8508 latest changes for erms pipeline validation

Revision a1340c69 - 09/29/2019 08:28 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 handle rank, kingdom and code correctly for Biota and Monera

Revision 9bb5ffae - 09/29/2019 08:30 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 handle truncated reference cache correctly

Revision 118bc6b8 - 09/29/2019 08:33 PM - Andreas Miiller

ref #8508 latest changes to PesiErmsValidator
Revision 33337032 - 09/30/2019 10:29 AM - Andreas Miiller
ref #1444, ref #8509, ref #8508 handle NomenclaturalStatusType in ERMS pipeline

Revision 8a133607 - 09/30/2019 11:48 AM - Andreas Miiller
ref #1444, ref #8508 add Monera filter handling in ERMS validation and for import

Revision dd9fed99 - 09/30/2019 11:49 AM - Andreas Miiller

ref #8508 latest version of import + export for ERMS activators

Revision 397a8033 - 10/06/2019 09:48 AM - Andreas Miiller
ref #1444, ref #8508, ref #8509 move synonymTaxonRelationshiptype uuid to TaxonRelationship class

Revision 2b21e6b8 - 10/06/2019 10:00 AM - Andreas Miiller
ref #8508 add Monera to ERMS validation again

Revision 664255b8 - 10/06/2019 10:03 AM - Andreas Miiller

ref #8508 add nomstatus, name rel and taxon rel validation

Revision 9afc9463 - 10/06/2019 10:04 AM - Andreas Miiller
ref #8508 add TODO to validation

Revision 57fc748f - 10/07/2019 12:49 AM - Andreas Miiller
ref #8508 adapt ERMS pipeline validator to taxon relationships

Revision Ob1beOda - 10/07/2019 08:46 PM - Andreas Miiller
ref #1444, ref #8508 move diffindex method to CdmUtils

Revision 01bc5fe1 - 10/08/2019 11:30 PM - Andreas Miiller
ref #8508 some refactoring for ERMS validation

Revision d9f92b40 - 10/12/2019 12:06 PM - Andreas Miiller
ref #8509, ref #8508 some fixes to E+M PESI export and validation

Revision 8910316 - 10/12/2019 12:07 PM - Andreas Miiller
ref #8509, ref #8508 some fixes to E+M PESI export and validation

Revision 8419d12a - 12/24/2019 01:52 AM - Andreas Miiller
ref #8508 latest changes to ERMS validation

Revision d4c6ec84 - 12/26/2019 01:59 PM - Andreas Miiller

ref #8508 minor and cleanup

Revision dd68b822 - 12/26/2019 07:29 PM - Andreas Miiller
ref #8508 latest changes

Revision 2abd2851 - 12/27/2019 09:48 AM - Andreas Miiller

ref #8508 improve treeindex validation and remove source type 'i' handling

Revision f859201a - 12/28/2019 10:48 AM - Andreas Miiller
ref #8508 further improvements to ERMS validation

Revision 3d6c7bfc - 12/28/2019 11:45 AM - Andreas Miiller
ref #1444, ref #8508, ref #8509 fix ERMS taxon status handling

Revision 19743136 - 12/28/2019 04:08 PM - Andreas Miiller

ref #8508 fix and finalize taxon status (cache) validation
Revision 34743ac7 - 01/06/2020 05:01 PM - Andreas Miiller

ref #8508, ref #8577 treeindex test for E+M validation and common base class for E+M and Erms validation

History

#2 - 09/01/2019 06:18 PM - Andreas Miiller
- Related to task #8509: [PESI[[ERMS] Export ERMS data to PESI added

#4 - 11/01/2019 05:42 PM - Andreas Miiller
- Related to task #8644: [PESIJ[FE] Verify FauEu PESI export added

#5 - 12/26/2019 09:19 PM - Andreas Miiller
- Subject changed from ERMS import pipeline validation to [PESI[[ERMS] ERMS import pipeline validation

#6 - 12/27/2019 11:09 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

03/20/2024

/4


http://www.tcpdf.org

